Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603285 - Lack of options in hard disk setup
Lack of options in hard disk setup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 03:23 EDT by Wayne Carruthers
Modified: 2010-06-17 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-17 10:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Carruthers 2010-06-12 03:23:58 EDT
Description of problem:

Install type screen for hard disks does not have option of using existing disk partitions

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Forced re partitioning of disks

Expected results:


Additional info:

In the past the hard disk setup for fedora allowed for using existing hard disk partitioning, this was very useful when electing to do a clean install over a previously used disk or previous version, all that was required was reformat of existing partitions including mirrors
Comment 1 Wayne Carruthers 2010-06-12 03:26:46 EDT
Note

It does remember and allow use of raid devices setup in an aborted fc13 install
Comment 2 Chris Lumens 2010-06-12 10:14:29 EDT
anaconda does still offer custom partitioning, and from there it's easy to mark existing partitions to be formatted.  F13 offers the same partitioning choices as F12.  They've just been reworded to (hopefully) be more clear.  Is there something specific the current setup is lacking?  Do you have a screenshot that you can use to show what's wrong?
Comment 3 Wayne Carruthers 2010-06-12 23:11:53 EDT
I was forced to abandon the use of F13 as the bug requiring a separate non RAID boot partition prevented it's use on the system I was working with so no screen grabs

F13 did not recognise the RAID Mirror initially which was a working F11 but saw the physical partitions & did not indicate they were RAID

Initial attempts to reallocate / format partitions to RAID gave error "partition not contained within drive".

Attempts to repartition kept failing & I was forced to delete all & reboot before being able to create & assign partitions to RAID

Basically in the past, because the anaconda formatting system was so poor I have used gparted to set up partitioning & then used option to use existing partitions to do install. In this case I gave that a try to see how it worked as a test & partitions flagged as RAID in gparted are seen as simple ext3

Overall the new layout certainly has improved, partions are now logically numbered as they are laid out on the disk, MD device numbering is however reversed as per another bug I filed but it is improving so that is positive

All up yesterday was frustrating but I do see some forward movement in the disk handling elements of anaconda

Sorry I can t give you more info, will go back and run a couple of tests when time permits but I ont be using F13, will stick to F12 & look forward to F14
Comment 4 Chris Lumens 2010-06-17 10:31:46 EDT
http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/s1-diskpartsetup-x86.html

shows the screenshot of the existing initial storage configuration screen, which does offer all the same choices as the past couple Fedora installs, though like I said they've been reworded a bit.  For reusing existing partitions, you'd need to choose Custom, then go onto the next screen and mark everything you want to reuse as Format and assign mount points to them.

Note You need to log in before you can comment on or make changes to this bug.